package router

import (
	"gitee.com/codinl/erp_server/controller"
	"github.com/gin-gonic/gin"
)

func ConfigAppRouter(r gin.IRouter) {
	r.Use(CORSMiddleware)
	r.Use(WrapHandle)
	r.Use(gin.Recovery())

	api := r.Group("/api/" + ApiVersionV1)
	{

	}

	// 用户鉴权
	authGroup := api.Group("auth")
	{
		authGroup.POST("login", controller.AuthLogin) // 登录
		//authGroup.POST("token/refresh", controller.TokenRefresh) // 刷新AccessToken
	}

}
