package model

//go:generate goqueryset -in system.go
// gen:qs
type Logging struct {
	Model

	Machine     string `json:"machine"`
	StoreId     uint32 `json:"store_id" gorm:"index"` // 门店id
	OperatorUid uint32 `json:"operator_uid" gorm:"index"`
	Function    string `json:"function"`
	Event       string `json:"event"`
	Ip          string `json:"ip"`
}

const (
	LoggingFunction = ""
)
